更新 itemPublication
本文内容
命名空间:microsoft.graph
更新用户配置文件 中的 itemPublication 对象 的属性 。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
User.ReadWrite、User.ReadWrite.All
委派(个人 Microsoft 帐户)
User.ReadWrite、User.ReadWrite.All
应用程序
User.ReadWrite.All
HTTP 请求
PATCH /me/profile/publications/{id}
PATCH /users/{id | userPrincipalName}/profile/publications/{id}
名称
说明
Authorization
Bearer {token}。必需。
Content-Type
application/json. Required.
请求正文
在请求正文中,提供应更新的相关字段的值。 请求正文中不包括的现有属性将保留其以前的值,或根据对其他属性值的更改重新计算。 为了获得最佳性能,请勿加入尚未更改的现有值。
属性
类型
Description
allowedAudiences
String
能够查看实体中包含的值的访问群体。 继承自 itemFacet 。 可取值为:me、family、contacts、groupMembers、organization、federatedOrganizations、everyone、unknownFutureValue。
说明
String
出版物的说明。
displayName
String
出版物的标题。
inference
inferenceData
如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet 。
publishedDate
Date
出版物的发布日期。
发布者
String
出版物Publisher出版物。
source
personDataSource
如果从另一个服务同步,则值源自何处。 继承自 itemFacet 。
thumbnailUrl
String
引用出版物缩略图的 URL。
WebUrl
String
引用出版物的 URL。
响应
如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK itemPublication 对象。
示例
请求
PATCH https://graph.microsoft.com/beta/users/{userId}/profile/publications/{id}
Content-Type: application/json
{
"publisher": "International Association of Branding Management Publishing",
"thumbnailUrl": "https://iabm.io/sdhdfhsdhshsd.jpg",
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var itemPublication = new ItemPublication
{
Publisher = "International Association of Branding Management Publishing",
ThumbnailUrl = "https://iabm.io/sdhdfhsdhshsd.jpg"
};
await graphClient.Users["{user-id}"].Profile.Publications["{itemPublication-id}"]
.Request()
.UpdateAsync(itemPublication);
const options = {
authProvider,
};
const client = Client.init(options);
const itemPublication = {
publisher: 'International Association of Branding Management Publishing',
thumbnailUrl: 'https://iabm.io/sdhdfhsdhshsd.jpg',
};
await client.api('/users/{userId}/profile/publications/{id}')
.version('beta')
.update(itemPublication);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/users/{userId}/profile/publications/{id}"]]];
[urlRequest setHTTPMethod:@"PATCH"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphItemPublication *itemPublication = [[MSGraphItemPublication alloc] init];
[itemPublication setPublisher:@"International Association of Branding Management Publishing"];
[itemPublication setThumbnailUrl:@"https://iabm.io/sdhdfhsdhshsd.jpg"];
NSError *error;
NSData *itemPublicationData = [itemPublication getSerializedDataWithError:&error];
[urlRequest setHTTPBody:itemPublicationData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
ItemPublication itemPublication = new ItemPublication();
itemPublication.publisher = "International Association of Branding Management Publishing";
itemPublication.thumbnailUrl = "https://iabm.io/sdhdfhsdhshsd.jpg";
graphClient.users("{userId}").profile().publications("{id}")
.buildRequest()
.patch(itemPublication);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewItemPublication()
publisher := "International Association of Branding Management Publishing"
requestBody.SetPublisher(&publisher)
thumbnailUrl := "https://iabm.io/sdhdfhsdhshsd.jpg"
requestBody.SetThumbnailUrl(&thumbnailUrl)
userId := "user-id"
itemPublicationId := "itemPublication-id"
graphClient.UsersById(&userId).Profile().PublicationsById(&itemPublicationId).Patch(requestBody)
Import-Module Microsoft.Graph.People
$params = @{
Publisher = "International Association of Branding Management Publishing"
ThumbnailUrl = "https://iabm.io/sdhdfhsdhshsd.jpg"
}
Update-MgUserProfilePublication -UserId $userId -ItemPublicationId $itemPublicationId -BodyParameter $params
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
"allowedAudiences": "organization",
"inference": null,
"createdDateTime": "2020-07-06T06:34:12.2294868Z",
"createdBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"source": null,
"description": "One persons journey to the top of the branding management field.",
"displayName": "Got Brands? The story of Innocenty Popov and his journey to the top.",
"publishedDate": "Date",
"publisher": "International Association of Branding Management Publishing",
"thumbnailUrl": "https://iabm.io/sdhdfhsdhshsd.jpg",
"webUrl": "https://www.iabm.io"
}